Index: trunk/m4/ax_gperf.m4
===================================================================
--- trunk/m4/ax_gperf.m4	(revision 12)
+++ trunk/m4/ax_gperf.m4	(revision 1)
@@ -1,3 +1,3 @@
-# $Id$
+# $Id: ax_gperf.m4 2420 2009-06-24 14:40:21Z lukasz $
 #
 # SYNOPSIS
@@ -22,5 +22,5 @@
 # LICENSE
 #
-#   Written by Åukasz CieÅnik <lukasz.ciesnik@gmail.com>
+#   Written by Åukasz CieÅnik <lukasz.ciesnik@fedstage.com>
 #   and placed under Public Domain
 #
Index: trunk/m4/ax_gcc_warnings.m4
===================================================================
--- trunk/m4/ax_gcc_warnings.m4	(revision 12)
+++ trunk/m4/ax_gcc_warnings.m4	(revision 1)
@@ -1,3 +1,3 @@
-# $Id$
+# $Id: ax_gcc_warnings.m4 2420 2009-06-24 14:40:21Z lukasz $
 #
 # SYNOPSIS
@@ -7,5 +7,5 @@
 # DESCRIPTION
 #
-#   Check for supported gcc options.
+#   Check for LSF libraries and headers.
 #
 #   This macro calls::
@@ -20,5 +20,5 @@
 # LICENSE
 #
-#   Written by Åukasz CieÅnik <lukasz.ciesnik@gmail.com>
+#   Written by Åukasz CieÅnik <lukasz.ciesnik@fedstage.com>
 #   and placed under Public Domain.
 #
Index: trunk/m4/ax_pbs.m4
===================================================================
--- trunk/m4/ax_pbs.m4	(revision 103)
+++ trunk/m4/ax_pbs.m4	(revision 1)
@@ -1,3 +1,3 @@
-# $Id$
+# $Id: ax_pbs.m4 2420 2009-06-24 14:40:21Z lukasz $
 #
 # SYNOPSIS
@@ -21,8 +21,6 @@
 # LICENSE
 #
-#   Written by Åukasz CieÅnik <lukasz.ciesnik@gmail.com>
-#   and placed under Public Domain. 
-#   
-#   Further contribution: Mariusz Mamonski <mamonski@man.poznan.pl> 
+#   Written by Åukasz CieÅnik <lukasz.ciesnik@fedstage.com>
+#   and placed under Public Domain
 #
 
@@ -30,7 +28,4 @@
 AC_ARG_WITH([pbs], [AC_HELP_STRING([--with-pbs=<pbs-prefix>],
 		[Path to existing PBS installation root])])
-AC_ARG_ENABLE([disable-pbs-log], [AC_HELP_STRING([--disable-pbs-log],
-		[Do not use liblog while linking with PBS Professional])])
-		
 AC_SUBST(PBS_INCLUDES)
 AC_SUBST(PBS_LIBS)
@@ -38,5 +33,4 @@
 
 if test x"$with_pbs" != x; then
-	PBS_HOME=$with_pbs
 	PBS_INCLUDES="-I${with_pbs}/include "
 	PBS_LDFLAGS="-L${with_pbs}/lib "
@@ -47,10 +41,8 @@
 		PBS_HOME=`dirname $T2`
 		PBS_INCLUDES="-I${PBS_HOME}/include "
-		PBS_LDFLAGS="-L${PBS_HOME}/lib "
+        	PBS_LDFLAGS="-L${PBS_HOME}/lib "
 	fi
 fi
 
-
-PBS_INCLUDES="$PBS_INCLUDES -I${PBS_HOME}/include/torque "
 LDFLAGS_save="$LDFLAGS"
 CPPFLAGS_save="$CPPFLAGS"
@@ -61,13 +53,4 @@
 
 AH_TEMPLATE([PBS_PROFESSIONAL], [compiling against PBS Professional])
-AH_TEMPLATE([PBS_PROFESSIONAL_NO_LOG], [Do not use liblog while linking with PBS Professional])
-AH_TEMPLATE([HAVE_PBS_SUBMIT_HASH], [Torque 4 pbs_submit_hash function found])
-
-if test x"$enable_pbs_log" != "xno"; then
-	ax_pbs_lib_log=" -llog"
-else
-	ax_pbs_lib_log=""
-	AC_DEFINE(PBS_PROFESSIONAL_NO_LOG,[1])
-fi
 
 if test x"$ax_pbs_ok" = xno; then
@@ -76,5 +59,5 @@
 	AC_CHECK_LIB([log], [pbse_to_txt], [:], [ax_pbs_ok="no"])
 	if test x"$ax_pbs_ok" = xyes; then
-		ax_pbs_libs="-lpbs $ax_pbs_lib_log"
+		ax_pbs_libs="-lpbs -llog"
 	fi
 fi
@@ -88,9 +71,8 @@
 	AC_CHECK_LIB([log], [pbse_to_txt], [:], [ax_pbs_ok="no"], [-lssl -lcrypto] )
 	if test x"$ax_pbs_ok" = xyes; then
-		ax_pbs_libs="-lpbs $ax_pbs_lib_log -lssl -lcrypto"
+		ax_pbs_libs="-lpbs -llog -lssl -lcrypto"
 	fi
 fi
 
-ax_pbs_submit_hash="no"
 
 if test x"$ax_pbs_ok" = xno; then
@@ -98,18 +80,10 @@
  	AC_CHECK_LIB([torque], [pbs_submit], [:], [ax_pbs_ok="no"])
  	AC_CHECK_LIB([torque], [pbse_to_txt], [:], [ax_pbs_ok="no"])
-	AC_CHECK_LIB([torque], [pbs_submit_hash], [AC_DEFINE(HAVE_PBS_SUBMIT_HASH) ax_pbs_submit_hash="yes"], [:])
-
-
  	if test x"$ax_pbs_ok" = xyes; then
  		ax_pbs_libs="-ltorque"
  	fi
-
-	AM_CONDITIONAL([PBS_PROFESSIONAL], [false])
 else
 	AC_DEFINE(PBS_PROFESSIONAL,[1])
-	AM_CONDITIONAL([PBS_PROFESSIONAL], [true])
 fi
-
-AM_CONDITIONAL([TORQUE4], [test x$ax_pbs_submit_hash = xyes])
 
 if test x"$ax_pbs_ok" = xyes; then
Index: trunk/m4/ax_docutils.m4
===================================================================
--- trunk/m4/ax_docutils.m4	(revision 12)
+++ trunk/m4/ax_docutils.m4	(revision 1)
@@ -1,3 +1,3 @@
-# $Id$
+# $Id: ax_docutils.m4 2420 2009-06-24 14:40:21Z lukasz $
 #
 # SYNOPSIS
Index: trunk/m4/acx_pthread.m4
===================================================================
--- trunk/m4/acx_pthread.m4	(revision 12)
+++ trunk/m4/acx_pthread.m4	(revision 1)
@@ -1,3 +1,3 @@
-dnl $Id$
+dnl $Id: acx_pthread.m4 529 2007-12-20 21:04:22Z lukasz $
 
 dnl
